[Unit]
Description=GitLab Runner
After=network.target
ConditionFileIsExecutable=/usr/bin/gitlab-runner

[Service]
#Environment="DAEMON_ARGS=--debug"
Environment="DAEMON_ARGS=run --working-directory /var/lib/gitlab-runner --config /etc/gitlab-runner/config.toml --service gitlab-runner --syslog --user gitlab-runner"
EnvironmentFile=-/etc/default/%p
StartLimitInterval=5
StartLimitBurst=10
ExecStart=/usr/bin/gitlab-runner $DAEMON_ARGS
ExecReload=/bin/kill -HUP $MAINPID

Restart=always
RestartSec=120

[Install]
WantedBy=multi-user.target
Alias=gitlab-ci-multi-runner.service
